"installable updates" column in "hosts >> content hosts" doesn't show the proper information
Description

We have deployed foreman 1.16 + katello 3.5 to manage centos7 hosts. We have imported the errata information into katello using

the script in https://github.com/nicolas-r/katello-centos-errata-import

when I go to “hosts >> content hosts” the overview table doesn’t show any security update available. See this screenshot:

 8b39a92d2aa03a3a5b55dcd3b3c313f5aa790146.png 

but if I go to "hosts >> content hosts >> hostname >> errata" I can see that there are two security updates available. The two security

updates are also seen if in the errata tab I use the filter "type == "Security Advisory"".

 516bbe5be2b51ba09ec09eacfd99af52e9b69452.png 

If I go to “hosts >> all hosts” I get a message "Non-security errata applicable"

 241dafc90491fbcc561862bd1936e30bdc1c8328.png 

I have also noticed that the available “package updates” (number 19 in the first screenshot in the "Installable Updates" column) didn’t

appear until I did "hosts >> content hosts >> hostname >> errata >> rebuild". Shouldn't this be populated automatically?

History

#1 - 02/02/2018 07:15 PM - Andrew Kofink

- translation missing: en.field_release deleted (250)

#2 - 02/08/2018 06:37 PM - Justin Sherrill

- Status changed from New to Need more information

Did the errata get imported after the applicability information got generated?   You could try forcing the regeneration by going to Hosts > content host

> click your host > under actions select "Regenerate Applicability"

#3 - 02/13/2018 12:18 PM - Pablo Escobar

I cannot find the option "Regenerate Applicability" . The only action I can do is:

content hosts >> click on hostname >> errata tab >> recalculate

See attached screenshots

 A4rr3Gz.png 

 tQBjY7y.png 

 R43l7Bi.png 

#4 - 02/14/2018 06:39 PM - Justin Sherrill

Apologies, yes, i meant content hosts >> click on hostname >> errata tab >> recalculate

does selecting that action and waiting ~5 minutes help at all?

#5 - 02/16/2018 05:04 PM - Pablo Escobar

When I try content hosts >> click on hostname >> errata tab >> recalculate I get the list of available updates but not the security fixes..etc
This is the status before recalculate:

 fbzLqNX.png 

This is the recalculate job output

 69oqRk7.png 

This is the status of the main content hosts view after the recalculate (notice that I still don't see any security update but now I see 25 packages

applicable after the recalculate)

 XvxgJ7E.png 

but if I go to content host >> errata tab I can see the security updates available

 7pvBHUx.png 

#6 - 02/21/2018 06:49 PM - Justin Sherrill

- Status changed from Need more information to Needs design

- Assignee set to Justin Sherrill

- Target version set to 245

#7 - 03/02/2018 05:13 PM - Pablo Escobar

- Priority changed from Normal to Low

This problem seems to be solved after a fix in the script importing the Centos Errata (https://github.com/nicolas-r/katello-centos-errata-import)

All the details and some useful commands to debug the issue can be found here: https://github.com/nicolas-r/katello-centos-errata-import/issues/2

I think this bug can be closed

#8 - 03/02/2018 10:02 PM - Justin Sherrill

- Status changed from Needs design to Rejected

- Target version deleted (245)

- translation missing: en.field_release set to 166

Thank you for the update mr escobar!  Closing the issue.
